; ------------------------------------------------------------------------------
; CreateHtmlStructure
; ------------------------------------------------------------------------------
#Region includes
#include <Array.au3>
#include <Excel.au3>
#EndRegion

#Region declaration
Local $sFile 	= @ScriptDir & "\Excel.xls" ; Pfad zur Excel-Datei
Local $sDirPath	= @ScriptDir & "\Verzeichnisbaum\" ; Pfad des Verzeichnisbaum (mit "\" am Ende = Absicht)
Local $sConCat	= "=>/Verzeichnisbaum/" ; fr den Inhalt der Steuerdateien

Local $sHtml1	= 	'<!DOCTYPE html>' & @CRLF & '<html>' & @CRLF & '<head>' & @CRLF & @TAB & '<title>'
Local $sHtml2	= 	'</title>' & @CRLF & @TAB & '<meta charset="UTF-8" />' & @CRLF & _
					@TAB & '<link href="style.css" type="text/css" rel="stylesheet" />' & @CRLF & _
					'</head>' & @CRLF & '<body>' & @CRLF & @TAB & '<a href="'
Local $sHtml3 	= 	'">'
Local $sHtml4 	= 	'</a>' & @CRLF & '</body>' & @CRLF & '</html>'
#EndRegion

#Region excel
$oExcel = _ExcelBookOpen( $sFile ) ; Excel-Datei ffnen
If $oExcel = 0 Or @error = 2 Then
	MsgBox( 16, "Error", "Die angegebene Datei existiert nicht!" )
	Exit
EndIf

$aExcelContent = _ExcelReadSheetToArray( $oExcel, 2, 1 ) ; Excel-Datei auslesen

; debugging
; _ArrayDisplay( $aExcelContent )
#EndRegion

#Region Verzeichnisstruktur und Steuerdateien anlegen
; Schleife die bis zur letzten Zeile das 2D-Array durchluft
; und die Verzeichnisebenen ermittelt und anlegt
For $i = 1 To UBound( $aExcelContent, 1 ) - 1
	; Verarbeitung fr Ebene 1
	If $aExcelContent[$i][1] <> "" Then
		$sE1 = $aExcelContent[$i][5] & "\" ; Verzeichnisname Ebene 1 zwischenspeichern

		; Verzeichnis erstellen
		If DirCreate( $sDirPath & $aExcelContent[$i][5] & "\" ) = 0 Then
			MsgBox( 16, "Error", "Verzeichnis " & $sDirPath & $aExcelContent[$i][5] & _
				" konnte nicht angelegt werden." )
			Exit
		EndIf

		; genmenu.txt erstellen und beschreiben
		FileClose( FileWrite( FileOpen( $sDirPath & "genmenu.txt", 1 + 8 ), $aExcelContent[$i][1] & $sConCat & _
			StringReplace( $sE1, "\", "/" ) & @CRLF ) )

		; Datei "index.html" mit entsprechenden Titel anlegen und einen LINK zur
		; Originaldatei zum Download im Body erzeugen.
		FileClose( FileWrite( FileOpen( $sDirPath & $aExcelContent[$i][5] & "\index.html", 2 ), _
			$sHtml1 & $aExcelContent[$i][1] & $sHtml2 & "http://www.google.de" & $sHtml3 & $aExcelContent[$i][6] & $sHtml4 ) )

		; debugging
		; MsgBox( "", "Ebene 1 - index.html", $sHtml1 & $aExcelContent[$i][1] & $sHtml2 & _
		;	"http://www.google.de" & $sHtml3 & $aExcelContent[$i][6] & $sHtml4 )
	EndIf

	; Verarbeitung fr Ebene 2
	If $aExcelContent[$i][2] <> "" Then
		$sE2 = $aExcelContent[$i][5] & "\" ; Verzeichnisname Ebene 2 zwischenspeichern

		; Verzeichnis erstellen
		If DirCreate( $sDirPath & $sE1 & $aExcelContent[$i][5] & "\" ) = 0 Then
			MsgBox( 16, "Error", "Verzeichnis " & $sDirPath & $sE1 & $aExcelContent[$i][5] & _
				" konnte nicht angelegt werden." )
			Exit
		EndIf

		; hmenu.txt erstellen und beschreiben
		FileClose( FileWrite( FileOpen( $sDirPath & $sE1 & "\hmenu.txt", 1 + 8 ), $aExcelContent[$i][2] & $sConCat & _
			StringReplace( $sE1 & $sE2, "\", "/" ) & @CRLF ) )

		; Datei "index.html" mit entsprechenden Titel anlegen und einen LINK zur
		; Originaldatei zum Download im Body erzeugen.
		FileClose( FileWrite( FileOpen( $sDirPath & $sE1 & $aExcelContent[$i][5] & "\index.html", 2 ), _
			$sHtml1 & $aExcelContent[$i][2] & $sHtml2 & "http://www.google.de" & $sHtml3 & $aExcelContent[$i][6] & $sHtml4 ) )

		; debugging
		; MsgBox( "", "Ebene 2 - index.html", $sHtml1 & $aExcelContent[$i][2] & $sHtml2 & _
		; 	"http://www.google.de" & $sHtml3 & $aExcelContent[$i][6] & $sHtml4 )
	EndIf

	; Verarbeitung fr Ebene 3
	If $aExcelContent[$i][3] <> "" Then
		$sE3 = $aExcelContent[$i][5] & "\" ; Verzeichnisname Ebene 3 zwischenspeichern

		; Verzeichnis erstellen
		If DirCreate( $sDirPath & $sE1 & $sE2 & $aExcelContent[$i][5] & "\" ) = 0 Then
			MsgBox( 16, "Error", "Verzeichnis " & $sDirPath & $sE1 & $sE2 & $aExcelContent[$i][5] & _
				" konnte nicht angelegt werden." )
			Exit
		EndIf

		; hmenu1.txt erstellen und beschreiben
		FileClose( FileWrite( FileOpen( $sDirPath & $sE1 & $sE2 & "\hmenu1.txt", 1 + 8 ), $aExcelContent[$i][3] & $sConCat & _
			StringReplace( $sE1 & $sE2 & $sE3, "\", "/" ) & @CRLF ) )

		; Datei "index.html" mit entsprechenden Titel anlegen und einen LINK zur
		; Originaldatei zum Download im Body erzeugen.
		FileClose( FileWrite( FileOpen( $sDirPath & $sE1 & $sE2 & $aExcelContent[$i][5] & "\index.html", 2 ), _
			$sHtml1 & $aExcelContent[$i][3] & $sHtml2 & "http://www.google.de" & $sHtml3 & $aExcelContent[$i][6] & $sHtml4 ) )

		; debugging
		; MsgBox( "", "Ebene 3 - index.html", $sHtml1 & $aExcelContent[$i][3] & $sHtml2 & _
		; 	"http://www.google.de" & $sHtml3 & $aExcelContent[$i][6] & $sHtml4 )
	EndIf

	; Verarbeitung fr Ebene 4
	If $aExcelContent[$i][4] <> "" Then
		$sE4 = $aExcelContent[$i][5] & "\" ; Verzeichnisname Ebene 4 zwischenspeichern

		; Verzeichnis erstellen
		If DirCreate( $sDirPath & $sE1 & $sE2 & $sE3 & $aExcelContent[$i][5] & "\" ) = 0 Then
			MsgBox( 16, "Error", "Verzeichnis " & $sDirPath & $sE1 & $sE2 & $sE3 & $aExcelContent[$i][5] & _
				" konnte nicht angelegt werden." )
			Exit
		EndIf

		; hmenu1.txt erstellen und beschreiben
		FileClose( FileWrite( FileOpen( $sDirPath & $sE1 & $sE2 & $sE3 & "\hmenu2.txt", 1 + 8 ), $aExcelContent[$i][4] & $sConCat & _
			StringReplace( $sE1 & $sE2 & $sE3 & $sE4, "\", "/" ) & @CRLF ) )

		; Datei "index.html" mit entsprechenden Titel anlegen und einen LINK zur
		; Originaldatei zum Download im Body erzeugen.
		FileClose( FileWrite( FileOpen( $sDirPath & $sE1 & $sE2 & $sE3 & $aExcelContent[$i][5] & "\index.html", 2 ), _
			$sHtml1 & $aExcelContent[$i][4] & $sHtml2 & "http://www.google.de" & $sHtml3 & $aExcelContent[$i][6] & $sHtml4 ) )

		; debugging
		; MsgBox( "", "Ebene 4 - index.html", $sHtml1 & $aExcelContent[$i][4] & $sHtml2 & _
		; 	"http://www.google.de" & $sHtml3 & $aExcelContent[$i][6] & $sHtml4 )
	EndIf
Next
_ExcelBookClose( $oExcel ) ; Schlieen der Excel-Datei
#EndRegion
